# Delete Data Source

Delete a data source and its dependencies:
* Business Partners from a storage,
* update monitors, data monitors and sharing scopes for that data source are adjusted (data source is removed from
the data sources list of a resource and resource is removed if data source was the only one assigned).

Endpoint: DELETE /storages/{storageId}/datasources/{dataSourceId}
Version: 5
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Path parameters:

  - `storageId` (string, required)
    Unique ID of the Business Partner storage.

  - `dataSourceId` (string, required)
    Filter by specified Data Source ID.

## Response 200:

  - `200` (unknown)
    OK

